Create hosted KYC session
curl --request POST \
--url https://api.verisecid.com/v1/kyc/sessions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"redirectUrl": "<string>",
"metadata": {},
"firstName": "<string>",
"lastName": "<string>"
}
'import requests
url = "https://api.verisecid.com/v1/kyc/sessions"
payload = {
"redirectUrl": "<string>",
"metadata": {},
"firstName": "<string>",
"lastName": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
redirectUrl: '<string>',
metadata: {},
firstName: '<string>',
lastName: '<string>'
})
};
fetch('https://api.verisecid.com/v1/kyc/sessions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"sessionId": "<string>",
"verificationUrl": "<string>",
"workspaceId": "<string>",
"userId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"redirectUrl": "<string>",
"metadata": {},
"applicantFirstName": "<string>",
"applicantLastName": "<string>",
"applicant": "<string>",
"detectedDocumentType": "<string>",
"expectedDocumentType": "<string>",
"retryAttempt": 123,
"document": {},
"face": {},
"overall": {},
"images": {
"documentFrontPath": "<string>",
"documentFrontUrl": "<string>",
"documentBackPath": "<string>",
"documentBackUrl": "<string>",
"selfiePaths": [
"<string>"
],
"selfieUrls": [
"<string>"
]
},
"verification": {
"pass": true,
"document": {},
"face": {},
"overall": {}
}
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Hosted sessions
Create hosted KYC session
Creates a session and returns a verificationUrl to direct users to the hosted verification flow.
POST
/
v1
/
kyc
/
sessions
Create hosted KYC session
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Session created
Available options:
not_started, processing, completed, failed Available options:
Approved, Submitted, Declined, null Full applicant name
Number of retry attempts
Extracted document details and scores
Face match details
Overall verification result
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I

